package com.prolog.cs.biz.outbound.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author wujunjie
 * @desc 出库信息
 * @date 2021-06-09
 */
@ApiModel
public class InvStockOutDTO implements Serializable {

    private static final long serialVersionUID = 8170909139341694521L;
    /**
     * 批次
     */
    @ApiModelProperty(value = "批次")
    private String batchId;

    /**
     * 单据编码
     */
    @ApiModelProperty(value = "单据编码")
    private String billId;

    /**
     * 单据编码
     */
    @ApiModelProperty(value = "子单据编码")
    private String lineBillId;

    /**
     * 仓库ID
     */
    @ApiModelProperty(value = "仓库ID")
    private String warehouseId;

    @ApiModelProperty(value = "仓库库位ID")
    private String locatorId;

    @ApiModelProperty(value = "任务明细id")
    private String pickTaskDId;

    @ApiModelProperty(value = "任务主表id")
    private String pickTaskId;

    @ApiModelProperty(value = "数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "波次库存预占id")
    private String waveStorageId;

    public String getWaveStorageId() {
        return waveStorageId;
    }

    public void setWaveStorageId(String waveStorageId) {
        this.waveStorageId = waveStorageId;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public String getPickTaskId() {
        return pickTaskId;
    }

    public void setPickTaskId(String pickTaskId) {
        this.pickTaskId = pickTaskId;
    }

    public String getPickTaskDId() {
        return pickTaskDId;
    }

    public void setPickTaskDId(String pickTaskDId) {
        this.pickTaskDId = pickTaskDId;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getBillId() {
        return billId;
    }

    public void setBillId(String billId) {
        this.billId = billId;
    }

    public String getLineBillId() {
        return lineBillId;
    }

    public void setLineBillId(String lineBillId) {
        this.lineBillId = lineBillId;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getLocatorId() {
        return locatorId;
    }

    public void setLocatorId(String locatorId) {
        this.locatorId = locatorId;
    }
}
